Debian Bug report logs - #246592
Moving real /dev into /etc breaks things (and possibly the FHS)

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Iustin Pop <iusty@k1024.org>

Date: Thu, 29 Apr 2004 20:03:04 UTC

Severity: minor

Found in version 0.024-7

Fixed in versions udev/0.024-8, udev/0.024-9

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#246592; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Moving real /dev into /etc breaks things (and possibly the FHS)
Date: Thu, 29 Apr 2004 22:59:19 +0300
Package: udev
Version: 0.024-7
Severity: minor

Hello,

The udev start script (line 35) moves the real /dev directory under
/etc/udev/.dev
Since this is (always I think) on the same partition with /etc, it
means:
    - "find /etc -xdev" will also find device files under etc;
    - a recursive grep in /etc is no longer possible (except by "find
      -type f | xargs grep"), at first try it will forever read from
      /dev/zero;
    - the fact that /etc/udev/.dev is a mountpoint or bind cannot be
      determined by any mean (that I know of); mountpoint doesn't work
      and mount doesn't show it;

I respectfully propose that the old /dev directory be moved (mount
--bind) somewhere else, preferably directly under / like /.dev or /.udev

Thank you,
Iustin Pop

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (50, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.4
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8

Versions of packages udev depends on:
ii  debconf [debconf-2.0]     1.4.21         Debian configuration management sy
ii  hotplug                   0.0.20040329-8 Linux Hotplug Scripts
ii  initscripts               2.85-15        Standard scripts needed for bootin
ii  libc6                     2.3.2.ds1-12   GNU C Library: Shared libraries an
ii  libnewt0.51               0.51.4-23      Not Erik's Windowing Toolkit - tex
ii  libselinux1               1.10-0.1       SELinux shared libraries

-- debconf information:
  udev/devfs-warning: 
* udev/reboot-warning: 



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#246592; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 246592@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: Iustin Pop <iusty@k1024.org>, 246592@bugs.debian.org
Subject: Re: Bug#246592: Moving real /dev into /etc breaks things (and possibly the FHS)
Date: Thu, 29 Apr 2004 22:15:27 +0200
On Apr 29, Iustin Pop <iusty@k1024.org> wrote:

>     - a recursive grep in /etc is no longer possible (except by "find
>       -type f | xargs grep"), at first try it will forever read from
>       /dev/zero;
This is a good argument, but since MAKEDEV has already been taught about
/etc/udev/.dev I fear it's too late to change it, at least until sarge
will be released.
Anyway, if this really annoys you you can just comment the mount command
in /etc/init.d/udev (removing the directory would work, but the next
upgrade would create it again. I will try to fix this in a future
release).

-- 
ciao, |
Marco | [6031 trIVFr/.EgKRY]



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#246592; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 246592@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 246592@bugs.debian.org
Subject: Re: Bug#246592: Moving real /dev into /etc breaks things (and possibly the FHS)
Date: Thu, 29 Apr 2004 23:59:28 +0300
On Thu, Apr 29, 2004 at 10:15:27PM +0200, Marco d'Itri wrote:
> On Apr 29, Iustin Pop <iusty@k1024.org> wrote:
> 
> >     - a recursive grep in /etc is no longer possible (except by "find
> >       -type f | xargs grep"), at first try it will forever read from
> >       /dev/zero;
> This is a good argument, but since MAKEDEV has already been taught about
> /etc/udev/.dev I fear it's too late to change it, at least until sarge
> will be released.
Hmmm... I was hoping it's not too late. I would suggest --bind'ing it
elsewhere, making /etc/udev/.dev a symlink to where it has been
--bind'ed until makedev knows about it, and submit a bug to makedev. 
Afterwards, when makedev has learned the new location, remove the
symlink. The only problem is that it's cumbersome and it still needs to
make an entry in /proc/mounts so that fgrep -q /etc/udev/.dev
/proc/mounts succeeds - something like (in /etc/init.d/udev):
    mount --bind /dev /.udev
    #... later after mountin tmpfs /dev
    mkdir -p /dev/.hidden/a /dev/.hidden/etc/udev/.dev
    mount --bind /dev/.hidden/a /dev/.hidden/etc/udev/.dev
    ln -s /.udev /etc/udev/.dev
This way: MAKEDEV works, grep -r doesn't work (until makedev learns and
symlink removal), find works. The .hidden dir is needed because of
/sbin/MAKEDEV checks.

As said, cumbersome but could solve the problem.

> Anyway, if this really annoys you you can just comment the mount command
> in /etc/init.d/udev (removing the directory would work, but the next
> upgrade would create it again. I will try to fix this in a future
> release).
Thank you,

Iustin Pop



Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Iustin Pop <iusty@k1024.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 246592-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 246592-close@bugs.debian.org
Subject: Bug#246592: fixed in udev 0.024-8
Date: Fri, 28 May 2004 11:02:09 -0400
Source: udev
Source-Version: 0.024-8

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev_0.024-8.diff.gz
  to pool/main/u/udev/udev_0.024-8.diff.gz
udev_0.024-8.dsc
  to pool/main/u/udev/udev_0.024-8.dsc
udev_0.024-8_i386.deb
  to pool/main/u/udev/udev_0.024-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 246592@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 May 2004 01:32:05 +0200
Source: udev
Binary: udev
Architecture: source i386
Version: 0.024-8
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
Closes: 245434 245441 246011 246125 246592 247179 249183 250476 251146
Changes: 
 udev (0.024-8) unstable; urgency=medium
 .
   * Removed MAKEDEV-wrapper and Depend on makedev > 2.3.1-70. (Closes: #245441)
   * /etc/udev/.dev/ moved to /.dev/. (Closes: #246592)
     If you do not want to see it anyway, just rmdir it.
     You will have to manually remove /etc/udev/.dev/ after the next reboot.
     You want to reboot soon anyway because MAKEDEV has been updated to look
     for the new directory.
   * Added a script to create by default a /dev/cdrom symlink, courtesy of
     Michal Čihař. (Closes: #247179)
   * Added Japanese debconf template translation. (Closes: #245434)
   * Add /dev/misc/nvram to devfs.rules. (Closes: #246125)
   * Fixed the group of /dev/fb*. (Closes: #246011)
   * When installing on a devfs system enable compat-full.rules if
     /dev/tty1 exists. (Closes: #251146)
   * Removed support for $udev_root from the init script. (Closes: #249183)
   * Do not start udev if the kernel lacks tmpfs support. (Closes: #250476)
   * Make the nvram device g+rw and owned by group nvram.
Files: 
 0f14490150b81e7df41ab101399d76ed 613 admin extra udev_0.024-8.dsc
 fa60192b31b87cc005b9acea3c08d4a6 20675 admin extra udev_0.024-8.diff.gz
 2c63a4467e26074eb127a09f3b2b1504 223346 admin extra udev_0.024-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAt0U8FGfw2OHuP7ERAsNmAJ9+vb85dG8G6K5nkHoZZ8Npt3RHMwCeOKjk
TYnLxNZVw91Ai5XDbbijqU4=
=iDzA
-----END PGP SIGNATURE-----




Message #21 received at 246592-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 246592-close@bugs.debian.org
Subject: Bug#246592: fixed in udev 0.024-9
Date: Fri, 28 May 2004 14:47:08 -0400
Source: udev
Source-Version: 0.024-9

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev_0.024-9.diff.gz
  to pool/main/u/udev/udev_0.024-9.diff.gz
udev_0.024-9.dsc
  to pool/main/u/udev/udev_0.024-9.dsc
udev_0.024-9_i386.deb
  to pool/main/u/udev/udev_0.024-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 246592@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 May 2004 20:32:19 +0200
Source: udev
Binary: udev
Architecture: source i386
Version: 0.024-9
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
Closes: 245434 245441 246011 246125 246592 247179 249183 250476 251146
Changes: 
 udev (0.024-9) unstable; urgency=low
 .
   * Removed MAKEDEV-wrapper and Depend on makedev > 2.3.1-70. (Closes: #245441)
   * /etc/udev/.dev/ moved to /.dev/. (Closes: #246592)
     If you do not want to see it anyway, just rmdir it.
     You will have to manually remove /etc/udev/.dev/ after the next reboot.
     You want to reboot soon anyway because MAKEDEV has been updated to look
     for the new directory.
   * Added a script to create by default a /dev/cdrom symlink, courtesy of
     Michal Čihař. (Closes: #247179)
   * Added Japanese debconf template translation. (Closes: #245434)
   * Add /dev/misc/nvram to devfs.rules. (Closes: #246125)
   * Fixed the group of /dev/fb*. (Closes: #246011)
   * When installing on a devfs system enable compat-full.rules if
     /dev/tty1 exists. (Closes: #251146)
   * Removed support for $udev_root from the init script. (Closes: #249183)
   * Do not start udev if the kernel lacks tmpfs support. (Closes: #250476)
   * Make the nvram device g+rw and owned by group nvram.
Files: 
 b108b3164fc5ee4681768c9a23e6f006 613 admin extra udev_0.024-9.dsc
 f434f2596801337e64d37aa6588d1c72 20675 admin extra udev_0.024-9.diff.gz
 f96b6ec5d5377495c85ff1ddc8320e0e 223344 admin extra udev_0.024-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAt4XoFGfw2OHuP7ERAh8YAJsEeCTDNg90BWtQX0n3k1jm52jDTwCgg3l8
OQ6mUD7o0HVVPUqAGAU+i4k=
=Ym3B
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:29:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.